package szakdolgozat.shared;

import java.util.Date;

import com.google.gwt.user.client.rpc.IsSerializable;

public class UserStats implements IsSerializable{
		
	private int playerid;
	private int logincount;
	private int gamesplayed;
	private int gameswon;
	private Date logintime;
	
	public int getPlayerid() {
		return playerid;
	}
	public void setPlayerid(int playerid) {
		this.playerid = playerid;
	}
	public int getLogincount() {
		return logincount;
	}
	public void setLogincount(int logincount) {
		this.logincount = logincount;
	}
	public int getGamesplayed() {
		return gamesplayed;
	}
	public void setGamesplayed(int gamesplayed) {
		this.gamesplayed = gamesplayed;
	}
	public int getGameswon() {
		return gameswon;
	}
	public void setGameswon(int gameswon) {
		this.gameswon = gameswon;
	}
	public Date getLogintime() {
		return logintime;
	}
	public void setLogintime(Date logintime) {
		this.logintime = logintime;
	}
	@Override
	public String toString() {
		return "UserStats [gamesplayed=" + gamesplayed + ", gameswon="
				+ gameswon + ", logincount=" + logincount + ", logintime="
				+ logintime + ", playerid=" + playerid + "]";
	}
	
	

}
